summaryrefslogtreecommitdiffstats
path: root/network/pptp
diff options
context:
space:
mode:
Diffstat (limited to 'network/pptp')
-rw-r--r--network/pptp/README6
-rw-r--r--network/pptp/doinst.sh17
-rw-r--r--network/pptp/pptp.SlackBuild91
-rw-r--r--network/pptp/pptp.info8
-rw-r--r--network/pptp/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/network/pptp/README b/network/pptp/README
new file mode 100644
index 0000000000..4e7670e49e
--- /dev/null
+++ b/network/pptp/README
@@ -0,0 +1,6 @@
+pptp - PPTP Client
+
+PPTP Client is a Linux, FreeBSD, NetBSD and OpenBSD client for the
+proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP. Allows
+connection to a PPTP based Virtual Private Network (VPN) as used by
+employers and some cable and ADSL internet service providers.
diff --git a/network/pptp/doinst.sh b/network/pptp/doinst.sh
new file mode 100644
index 0000000000..3e64e4f38e
--- /dev/null
+++ b/network/pptp/doinst.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ppp/options.pptp.new
+
diff --git a/network/pptp/pptp.SlackBuild b/network/pptp/pptp.SlackBuild
new file mode 100644
index 0000000000..7f8f6bc690
--- /dev/null
+++ b/network/pptp/pptp.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for pptp
+
+# Copyright 2007 AbortRetryFail <abortretryfail@gmail.com>
+# Copyright 2007 Robby Workman <http://rlworkman.net>
+
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pptp
+VERSION=1.7.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# The Makefile uses -O0 by default. It should be a simple sed
+# to remedy this, but I figured if the upstream guys don't trust
+# their code to be optimized, maybe we shouldn't either :-)
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Move and compress man pages
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Let's not clobber the existing config file
+mv $PKG/etc/ppp/options.pptp $PKG/etc/ppp/options.pptp.new
+
+# Reference docs, in this case, might be handy to have around
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS PROTOCOL-SECURITY README TODO USING \
+ Documentation/DESIGN* Reference $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/pptp/pptp.info b/network/pptp/pptp.info
new file mode 100644
index 0000000000..7efe713312
--- /dev/null
+++ b/network/pptp/pptp.info
@@ -0,0 +1,8 @@
+PRGNAM="pptp"
+VERSION="1.7.1"
+HOMEPAGE="http://pptpclient.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/pptpclient/pptp-1.7.1.tar.gz"
+MD5SUM="b47735ba5d6d37dfdbccb85afc044ede"
+MAINTAINER="AbortRetryFail"
+EMAIL="abortretryfail@gmail.com"
+APPROVED="rworkman"
diff --git a/network/pptp/slack-desc b/network/pptp/slack-desc
new file mode 100644
index 0000000000..32ef5e9742
--- /dev/null
+++ b/network/pptp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pptp: pptp (PPTP Client for Linux)
+pptp:
+pptp: PPTP Client is a Linux, FreeBSD, NetBSD, and OpenBSD client for the
+pptp: proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP.
+pptp: It allows connection to a PPTP based Virtual Private Network (VPN)
+pptp: as used by pptp: employers and some cable and ADSL internet service
+pptp: providers.
+pptp:
+pptp: For more information, see http://pptpclient.sourceforge.net/
+pptp:
+pptp: